AGReasoner (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGReasoner

Package com.franz.agraph.jena

# Class AGReasoner

java.lang.Object
com.franz.agraph.jena.AGReasoner

All Implemented Interfaces:
  `Reasoner`

public class AGReasoner extends Object implements Reasoner
Implements the Jena Reasoner interface for AllegroGraph.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AGReasoner`
  `RDFS_PLUS_PLUS`
  The default reasoner for AllegroGraph
  `static final AGReasoner`
  `RESTRICTION`
  A reasoner that includes hasValue, someValuesFrom, and allValuesFrom reasoning in addition to RDFS++ reasoning.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGReasoner()`
  Creates a new reasoner, using RDFS++ entailment.
  `AGReasoner(String entailmentRegime)`
  Creates a new reasoner, using the specified entailmentRegime.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDescription(Model configSpec, Resource base)`
  `AGInfGraph`
  `bind(Graph data)`
  `Reasoner`
  `bindSchema(Graph tbox)`
  `Reasoner`
  `bindSchema(Model tbox)`
  `String`
  `getEntailmentRegime()`
  Gets the name of the entailmentRegime for this reasoner.
  `Capabilities`
  `getGraphCapabilities()`
  `Model`
  `getReasonerCapabilities()`
  `void`
  `setDerivationLogging(boolean logOn)`
  `void`
  `setParameter(Property parameterUri, Object value)`
  `boolean`
  `supportsProperty(Property property)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RDFS_PLUS_PLUS

    public static final AGReasoner RDFS_PLUS_PLUS
    The default reasoner for AllegroGraph

  - ### RESTRICTION

    public static final AGReasoner RESTRICTION
    A reasoner that includes hasValue, someValuesFrom, and allValuesFrom reasoning in addition to RDFS++ reasoning.

- ## Constructor Details

  - ### AGReasoner

    public AGReasoner()
    Creates a new reasoner, using RDFS++ entailment. Consider using the static RDFS_PLUS_PLUS reasoner instead.
    See Also:
      - `RDFS_PLUS_PLUS`

  - ### AGReasoner

    public AGReasoner(String entailmentRegime)
    Creates a new reasoner, using the specified entailmentRegime. Consider using one of the static reasoners instead.
    Parameters:
      `entailmentRegime` - the entailment to be used by this reasoner
    See Also:
      - `RDFS_PLUS_PLUS`
      - `RESTRICTION`

- ## Method Details

  - ### getEntailmentRegime

    public String getEntailmentRegime()
    Gets the name of the entailmentRegime for this reasoner.
    Returns:
      the name of the entailmentRegime for this reasoner

  - ### addDescription

    public void addDescription(Model configSpec, Resource base)
    Specified by:
      `addDescription` in interface `Reasoner`

  - ### bind

    public AGInfGraph bind(Graph data) throws ReasonerException
    Specified by:
      `bind` in interface `Reasoner`
    Throws:
      `ReasonerException`

  - ### bindSchema

    public Reasoner bindSchema(Graph tbox) throws ReasonerException
    Specified by:
      `bindSchema` in interface `Reasoner`
    Throws:
      `ReasonerException`

  - ### bindSchema

    public Reasoner bindSchema(Model tbox) throws ReasonerException
    Specified by:
      `bindSchema` in interface `Reasoner`
    Throws:
      `ReasonerException`

  - ### getGraphCapabilities

    public Capabilities getGraphCapabilities()
    Specified by:
      `getGraphCapabilities` in interface `Reasoner`

  - ### getReasonerCapabilities

    public Model getReasonerCapabilities()
    Specified by:
      `getReasonerCapabilities` in interface `Reasoner`

  - ### setDerivationLogging

    public void setDerivationLogging(boolean logOn)
    Specified by:
      `setDerivationLogging` in interface `Reasoner`

  - ### setParameter

    public void setParameter(Property parameterUri, Object value)
    Specified by:
      `setParameter` in interface `Reasoner`

  - ### supportsProperty

    public boolean supportsProperty(Property property)
    Specified by:
      `supportsProperty` in interface `Reasoner`